#ifndef __TV_TUNER_H__
#define __TV_TUNER_H__

//===========================================================================
//
#define TVT_SYSTEM_MAGIC		'H'

#define TVT_VSTD_NTSC			0
#define TVT_VSTD_NTSC_M			(TVT_VSTD_NTSC+0)	//0

#define TVT_VSTD_PAL			1
#define TVT_VSTD_PAL_MNc		(TVT_VSTD_PAL+0)	//1
#define TVT_VSTD_PAL_BGHN		(TVT_VSTD_PAL+1)	//2
#define TVT_VSTD_PAL_I			(TVT_VSTD_PAL+2)	//3
#define TVT_VSTD_PAL_D			(TVT_VSTD_PAL+3)	//4

#define TVT_VSTD_SECAM			5
#define TVT_VSTD_SECAM_BG		(TVT_VSTD_SECAM+1)	//6
#define TVT_VSTD_SECAM_DK		(TVT_VSTD_SECAM+3)	//8
#define TVT_VSTD_SECAM_LL		(TVT_VSTD_SECAM+4)	//9	

#define TVT_FM					8
#define TVT_FM_RADIO			(TVT_FM+5)			//13

#define TVTSYS_SET_VSTD			_IOW (TVT_SYSTEM_MAGIC,	1, int)
#define TVTSYS_GET_VSTD			_IOR (TVT_SYSTEM_MAGIC,	2, int*)
#define TVTSYS_SET_AFT			_IOW (TVT_SYSTEM_MAGIC,	3, unsigned int)
#define TVTSYS_GET_AFT			_IOR (TVT_SYSTEM_MAGIC,	4, unsigned int*)
//
//===========================================================================

//===========================================================================
//
#define TVT_TUNER_MAGIC			'X'

#define TVTUNER_SET_CHANNEL		_IOW (TVT_TUNER_MAGIC,	1, int)
#define TVTUNER_GET_CHNUM		_IOR (TVT_TUNER_MAGIC,	2, int*)

#define TVTUNER_TV				0
#define TVTUNER_CATV			1

#define TVTUNER_SET_TV_CATV		_IOW (TVT_TUNER_MAGIC,	3, int)
#define TVTUNER_GET_TV_CATV		_IOR (TVT_TUNER_MAGIC,	4, int*)

#define TVTUNER_AREA_USA		0
#define TVTUNER_AREA_CCIR		2
#define TVTUNER_AREA_FRANCE		4
#define TVTUNER_AREA_CHINA		6
#define TVTUNER_AREA_JPN		8
#define TVTUNER_AREA_GLOBAL		16

#define TVTUNER_SET_AREA		_IOW (TVT_TUNER_MAGIC,	5, int)
#define TVTUNER_GET_AREA		_IOR (TVT_TUNER_MAGIC,	6, int*)
//
//===========================================================================

#endif	//	__TV_TUNER_H__
